## glance-tempest-plugin 0.2.0

=== debian/changelog ===
glance-tempest-plugin (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:36:02 +0200

glance-tempest-plugin (0.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 10:46:36 +0200

glance-tempest-plugin (0.1.0-2) unstable; urgency=medium

  * Add missing testtools build-depends.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:46:21 +0200

glance-tempest-plugin (0.1.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #988919).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 May 2021 14:21:50 +0200

## glance-tempest-plugin 0.3.0

=== debian/changelog ===
glance-tempest-plugin (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:41:46 +0100

## glance-tempest-plugin 0.5.0

=== debian/changelog ===
glance-tempest-plugin (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:41:51 +0200

glance-tempest-plugin (0.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Sep 2022 14:25:28 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/glance-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No test for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance-tempest-plugin 0.6.0

=== debian/changelog ===
glance-tempest-plugin (0.6.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044194).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:57:51 +0200

glance-tempest-plugin (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:40:25 +0200

glance-tempest-plugin (0.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:01:44 +0100

glance-tempest-plugin (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:22:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## glance-tempest-plugin 0.7.0

=== debian/changelog ===
glance-tempest-plugin (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:37:02 +0200

glance-tempest-plugin (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 15:02:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/glance-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## glance-tempest-plugin 0.8.0

=== debian/changelog ===
glance-tempest-plugin (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:53:05 +0200

glance-tempest-plugin (0.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:02:23 +0100

## glance-tempest-plugin 0.10.0

=== debian/changelog ===
glance-tempest-plugin (0.10.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090412).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:07:02 +0100

glance-tempest-plugin (0.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:50:09 +0200

glance-tempest-plugin (0.9.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:14:12 +0200

glance-tempest-plugin (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:28:36 +0200

glance-tempest-plugin (0.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 17:13:03 +0200

## glance-tempest-plugin 0.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
glance-tempest-plugin (0.12.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:38:56 +0000

glance-tempest-plugin (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:37:24 +0100

glance-tempest-plugin (0.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:03:05 +0100

glance-tempest-plugin (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:56:12 +0100

## glance-tempest-plugin 0.13.0

=== debian/changelog ===
glance-tempest-plugin (0.13.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Fri, 19 Sep 2025 07:55:08 +0000

glance-tempest-plugin (0.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:42:30 +0200

## glance-tempest-plugin 0.14.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
glance-tempest-plugin (0.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:31:55 +0200

glance-tempest-plugin (0.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:47:04 +0200

=== debian/control ===
Source: glance-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-oslo.config,
 python3-six,
 python3-stestr,
 python3-oslo.serialization,
 python3-testtools,
 subunit,
 tempest,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/glance-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/glance-tempest-plugin.git
Homepage: https://opendev.org/openstack/glance-tempest-plugin

Package: glance-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-six,
 python3-oslo.serialization,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Glance plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Glance plugin.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/glance-tempest-plugin refs/tags/(\d[brc\d\.]+)
